org.keycloak.protocol.oidc.grants.ciba.channel

## Class CIBAAuthenticationRequest

- java.lang.Object
- - org.keycloak.representations.JsonWebToken
  - - org.keycloak.protocol.oidc.grants.ciba.channel.CIBAAuthenticationRequest

- All Implemented Interfaces:
    Serializable, Token

      public class CIBAAuthenticationRequest
      extends JsonWebToken

  Represents an authentication request sent by a consumption device (CD).

  A authentication request can be serialized to a JWE so that it can be exchanged with authentication devices (AD) to communicate and authorize the authentication request made by consumption devices (CDs).

  Author:
    Takashi Norimatsu
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `acrValues`
    `static String` | `AUTH_RESULT_ID`
    `protected String` | `authResultId`
    `protected String` | `bindingMessage`
    `protected ClientModel` | `client`
    `protected String` | `scope`
    `static String` | `SESSION_STATE`
    `protected UserModel` | `user`

    - ### Fields inherited from class org.keycloak.representations.JsonWebToken

      `audience, exp, iat, id, issuedFor, issuer, nbf, otherClaims, subject, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CIBAAuthenticationRequest()`
    `CIBAAuthenticationRequest(KeycloakSession session, UserModel user, ClientModel client)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CIBAAuthenticationRequest` | `deserialize(KeycloakSession session, String jwe)` Deserialize the given `jwe` to a `CIBAAuthenticationRequest` instance.
    `String` | `getAcrValues()`
    `String` | `getAuthResultId()`
    `String` | `getBindingMessage()`
    `ClientModel` | `getClient()`
    `String` | `getScope()`
    `UserModel` | `getUser()`
    `String` | `serialize(KeycloakSession session)` Serializes this instance to a JWE.
    `void` | `setAcrValues(String acrValues)`
    `void` | `setAuthResultId(String authResultId)`
    `void` | `setBindingMessage(String binding_message)`
    `void` | `setClient(ClientModel client)`
    `void` | `setScope(String scope)`
    `void` | `setUser(UserModel user)`

    - ### Methods inherited from class org.keycloak.representations.JsonWebToken

      `addAudience, audience, exp, expiration, getAudience, getCategory, getExp, getExpiration, getIat, getId, getIssuedAt, getIssuedFor, getIssuer, getNbf, getNotBefore, getOtherClaims, getSubject, getType, hasAudience, iat, id, isActive, isActive, isExpired, isNotBefore, issuedAt, issuedFor, issuedNow, issuer, nbf, notBefore, setOtherClaims, setSubject, subject, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SESSION_STATE

          public static final String SESSION_STATE

      See Also:
        Constant Field Values

    - #### AUTH_RESULT_ID

          public static final String AUTH_RESULT_ID

      See Also:
        Constant Field Values

    - #### scope

          protected String scope

    - #### authResultId

          protected String authResultId

    - #### bindingMessage

          protected String bindingMessage

    - #### acrValues

          protected String acrValues

    - #### client

          protected ClientModel client

    - #### user

          protected UserModel user

  - ### Constructor Detail

    - #### CIBAAuthenticationRequest

          public CIBAAuthenticationRequest()

    - #### CIBAAuthenticationRequest

          public CIBAAuthenticationRequest(KeycloakSession session,
                                           UserModel user,
                                           ClientModel client)

  - ### Method Detail

    - #### deserialize

          public static CIBAAuthenticationRequest deserialize(KeycloakSession session,
                                                              String jwe)

      Deserialize the given `jwe` to a `CIBAAuthenticationRequest` instance.
      Parameters:
        `session` - the session
        `jwe` - the authentication request in JWE format.
      Returns:
        the authentication request instance
      Throws:
        `Exception`

    - #### getScope

          public String getScope()

    - #### setScope

          public void setScope(String scope)

    - #### getAuthResultId

          public String getAuthResultId()

    - #### setAuthResultId

          public void setAuthResultId(String authResultId)

    - #### getBindingMessage

          public String getBindingMessage()

    - #### setBindingMessage

          public void setBindingMessage(String binding_message)

    - #### getAcrValues

          public String getAcrValues()

    - #### setAcrValues

          public void setAcrValues(String acrValues)

    - #### serialize

          public String serialize(KeycloakSession session)

      Serializes this instance to a JWE.
      Parameters:
        `session` - the session
      Returns:
        the JWE

    - #### setClient

          public void setClient(ClientModel client)

    - #### getClient

          public ClientModel getClient()

    - #### setUser

          public void setUser(UserModel user)

    - #### getUser

          public UserModel getUser()

Copyright © 2021 JBoss by Red Hat. All rights reserved.